Skip to content

New service | Last updated: 09 October 2025

Beneficiary Account Verifications API

New

Verify a beneficiary's bank details to ensure the payout is going to the intended account.

Verify an account

POST https://try.access.worldpay.com/accountVerifications

Request example

{ "merchant": { "entity": "default" }, "instructions": [ { "party": { "type": "beneficiary", "payoutInstrument": { "type": "bankAccount", "currency": "GBP", "iban": "GB41CITI18500818404062", "accountHolderName": "John Smith", "accountNumber": "123456", "bankCode": "184758", "bankName": "Demo Bank", "branchCode": "1234", "swiftBic": "DBbic01", "accountType": "checking", "address": { "type": "personal", "address1": "Main Bvd", "address2": "No 1", "city": "London", "postalCode": "012345", "countryCode": "GB" } }, "personalDetails": { "type": "personal", "title": "Mr", "firstName": "John", "middleName": "", "lastName": "Smith", "dateOfBirth": "2000-01-01", "companyName": "Co Name", "dateOfIncorporation": "2025-01-01", "email": "john@domain.com", "phones": [ { "number": "7777777777", "prefix": "44" } ] } }, "expandableKeyValuePairs": { "key": "value" } } ] }

Schema

merchantobject(merchantItems)required

Note: View our bank coverage guide for country specific requirements.

instructionsArray of objects(instructionsItems)required

Note: Currently only one instruction is accepted.

Response example

{
  "outcome": "fullMatch",
  "message": "Account Details Matched",
  "actualAccountHolderName": ""
}

For a full list of outcomes and errors see our API Reference.


Next steps

Make a payout